Bug 1455573 - When creating a new yum repository checksum list is empty and without a default value
Summary: When creating a new yum repository checksum list is empty and without a defau...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-25 13:46 UTC by Djebran Lezzoum
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:32:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
create a new yum repository, checksum field (106.78 KB, image/png)
2017-05-25 13:46 UTC, Djebran Lezzoum
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19932 0 None None None 2017-06-05 20:59:09 UTC

Description Djebran Lezzoum 2017-05-25 13:46:40 UTC
Created attachment 1282266 [details]
create a new yum repository, checksum field

Description of problem:
When creating a new yum repository checksum list is empty

Version-Release number of selected component (if applicable):
* candlepin-2.0.30-1.el7.noarch
* candlepin-selinux-2.0.30-1.el7.noarch
* foreman-1.15.0-0.1.RC2.el7sat.noarch
* foreman-compute-1.15.0-0.1.RC2.el7sat.noarch
* foreman-debug-1.15.0-0.1.RC2.el7sat.noarch
* foreman-ec2-1.15.0-0.1.RC2.el7sat.noarch
* foreman-gce-1.15.0-0.1.RC2.el7sat.noarch
* foreman-installer-1.15.0-0.develop.201703100324gitb570b53.el7sat.noarch
* foreman-installer-katello-3.5.0-1.nightly.201703312206git730de81.el7sat.noarch
* foreman-libvirt-1.15.0-0.1.RC2.el7sat.noarch
* foreman-openstack-1.15.0-0.1.RC2.el7sat.noarch
* foreman-ovirt-1.15.0-0.1.RC2.el7sat.noarch
* foreman-postgresql-1.15.0-0.1.RC2.el7sat.noarch
* foreman-proxy-1.15.0-0.1.RC2.el7sat.noarch
* foreman-rackspace-1.15.0-0.1.RC2.el7sat.noarch
* foreman-selinux-1.15.0-0.1.RC2.el7sat.noarch
* foreman-vmware-1.15.0-0.1.RC2.el7sat.noarch
* katello-3.4.0-1.rc2.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-1.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.3.0-1.el7sat.noarch
* katello-common-3.4.0-1.rc2.el7sat.noarch
* katello-debug-3.4.0-1.rc2.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.5.0-1.nightly.201703312206git730de81.el7sat.noarch
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.0-1.rc2.el7sat.noarch
* openldap-2.4.40-13.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.git.0.02c948c.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-puppet-plugins-2.12.1-1.git.0.1aeb10f.el7sat.noarch
* pulp-puppet-tools-2.12.1-1.git.0.1aeb10f.el7sat.noarch
* pulp-rpm-plugins-2.12.1-1.el7sat.noarch
* pulp-selinux-2.12.1-1.git.0.b41b7ba.el7sat.noarch
* pulp-server-2.12.1-1.git.0.b41b7ba.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1.Goto Content > Products  
2. Create a new product
3. Select the created product
4. Press new [New Repository] button
5. Type a valid name in Name Field
6. In Type list select yum
7. additional fields appears


Actual results:
The checksum has no default value and the list is empty


Expected results:
The checksum has a default value "Default" and provide in the list the following options:
Default
sha256
sha1

Additional info:
If saved without value and select the saved repository the "Yum Metadata Checksum" has also an empty value, and trying to edit the field list provided is also empty

Comment 3 Brad Buckingham 2017-06-05 20:59:08 UTC
Created redmine issue http://projects.theforeman.org/issues/19932 from this bug

Comment 4 Brad Buckingham 2017-06-05 21:06:17 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6810

Comment 5 Satellite Program 2017-06-19 14:00:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19932 has been resolved.

Comment 6 Peter Ondrejka 2017-08-31 14:49:09 UTC
Verified on Sat6.3 snap 13, when creating a new repo, Checksum provides options: Default, sha256, sha1

Comment 7 Bryan Kearney 2018-02-21 16:32:36 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.